'
' JustLDAPDomain test script to test if a user has the right to change their own password or not.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), Domain, AuthUsername, AuthPassword 
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Returns Boolean;  True  = User can change their own password
'                          False = User cannot change their own password
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  Result = oLdap.CanUserChangePasswordDom("bobuser", "otherdomain.com", "admin42", "secretpw55$")

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    if Result = True then
      Wscript.Echo "User can change their own password"
    else
      Wscript.Echo "User cannot change their own password"
    End If

  End If
 

Set oLdap = Nothing


