'
' JustLDAPDomain test script for retrieving an array user property
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), PropertyToGet, Domain, AuthUsername, AuthPassword
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result, Item

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")


  Result = oLdap.GetUserArrayPropertyDom("bobuser", "otherTelephone", "otherdomain.com", "admin42", "secretpw55$")
 
  
  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)
  Else
    For Each Item in Result ' Note, as this is an array, we need to step through the results
      Wscript.Echo(Item)    
    Next
  End If 


Set oLdap = Nothing



