'
' JustLDAP test script example showing how the SelfChangePassword method works.
' The user *must* know their existing password.
' Will work if the password has expired, but of course not if the account itself is locked out or disabled.
'
' Ideal for use in Web based password reset forms.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), OldPassword, NewPassword
'
'
' Returns Variant 0 Indicating success. Or Error on failure
'                         
'
Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.SelfChangePassword("salesuser", "top22secret", "secret$pw12")
 
  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)


Set oLdap = Nothing



