'
' JustLDAPDomain test script for setting the users account expiry date.
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), Expire date - string e.g. "05/04/2006"
'                    Domain, AuthUsername, AuthPassword
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result, ExpireDate

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  ExpireDate = "February 19, 2006"  ' Or "05/23/2007"  etc. ( Any VBScript Date dalue )

  ' ExpireDate = 0  ' <--'NOTE: This will set account to never expire.

  Result = oLdap.SetAccountExpiryDateDom("bobuser", ExpireDate, "otherdomain.com", "admin42", "secretpw55$")
 
  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)


Set oLdap = Nothing



