'
' JustLDAPDomain test script for testing if a set of user account credentials are valid or not.
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), Password , Domain
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
'
' Returns 0 for success.
'
' Returns Variant - 0 (Integer) indicating User credentials are valid. Otherwise
' an ADSI error number is returned.
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  Result = oLdap.TestUserCredentialsDom("bobuser", "top55secret$", "otherdomain.com")

  if Result = 0 Then

    Wscript.Echo("User Authentication Passed")
  
  else
 
   Result = oLdap.GetLastErrorAsMessage()

   Wscript.Echo Result
   
   Wscript.Echo("User Authentication Failed")

  End If
 
  

Set oLdap = Nothing

