
'
' Test script for the LookupSortDom method. This method returns the recordset ordered as
' specified in the 3rd parameter called the SortCommand.
' 
' This parameter can be any of the returned fields requested in the search.

' For example, setting the 3rd parameter to "sn DESC" will return the recordset ordered in
' descending order Z -> A based on Surname.
'
' Another example could be "employeeID ASC" for an ordered list of employee ID's
' There must be a space after the selected field followed by either ASC or DESC in upper case.
' If both the ASC or DESC are omitted, an ascending order is returned (A -> Z).
'
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'

Option Explicit

Dim oLdap, UserID, oRS, cntr, item, Result

Const adVariant = 12

UserID = "*"  ' All logins starting with the letter 'b'  For ALL users use "*"

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

Set oRS = oLdap.LookupSortDom("sAMAccountName", UserID, "givenName ASC", "sn, givenName, mail, employeeID, telephoneNumber, directReports", "otherdomain.com", "admin42", "secretpw55$")


  if oLdap.ErrorOccurred() = True Then
    Wscript.Echo("An Error")
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo Result
  End If

cntr = 0
If Not IsNull(oRS) Then
  While Not oRS.EOF
    For Each Item In oRS.Fields
      If Not IsNull(Item.Value) Then
        If Item.Type <> adVariant then    ' This code checks for "multivalued" fields such as "directReports"
          Wscript.Echo(Item.Value)          ' Which returns a VARIANT ARRAY. The array can be enumerated
        else                                         ' if required -  (see lookupusing sample "for each loop" for how to do this) 
          Wscript.Echo("- multivalued -")   ' Here we just note that a multivalued attribute exists
        End If                                       ' in the last item we asked for (directReports).
      End If
      cntr = cntr + 1
    Next
  oRS.MoveNext
  Wend
End If 
Set oRS = Nothing
Set oLdap = Nothing

